> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v3/motorsport-api/endpoints-and-entities/entities/stage.md).

# Stage

**Related endpoints**

{% content-ref url="/pages/8TqQaXN98x02lfSbRHKw" %}
[Stages](/v3/motorsport-api/endpoints-and-entities/endpoints/stages.md)
{% endcontent-ref %}

**Field description**

| Field                   | Description                                                                      | Type    |
| ----------------------- | -------------------------------------------------------------------------------- | ------- |
| `id`                    | Refers to the unique id of the stage                                             | integer |
| `sport_id`              | Refers to the sport of the stage                                                 | integer |
| `league_id`             | Refers to the league related to the stage                                        | integer |
| `season_id`             | Refers to the season related to the stage                                        | integer |
| `type_id`               | Indicates what the stage type is                                                 | integer |
| `name`                  | Returns the name of the stage                                                    | string  |
| `sort_order`            | Returns the order of the stage                                                   | integer |
| `finished`              | Indicates if the stage is finished or not                                        | boolean |
| `is_current`            | Indicates if the stage is the current stage or not                               | boolean |
| `starting_at`           | The starting date of the stage                                                   | string  |
| `ending_at`             | The end date of the stage                                                        | string  |
| `games_in_current_week` | Not used in the Motorsport API                                                   | boolean |
| `tie_breaker_rule_id`   | Refers to the tie breaker rule related to the stage - N/A for the Motorsport API | integer |

**Include options**

`sport` `league` `season` `type` `fixtures`&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportmonks.com/v3/motorsport-api/endpoints-and-entities/entities/stage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
